import request from '@/utils/request'

// 查询物业报修列表
export function listRepair(query) {
  return request({
    url: '/wuYe/repair/list',
    method: 'get',
    params: query
  })
}

// 查询物业报修详细
export function getRepair(repairId) {
  return request({
    url: '/wuYe/repair/' + repairId,
    method: 'get'
  })
}

// 新增物业报修
export function addRepair(data) {
  return request({
    url: '/wuYe/repair',
    method: 'post',
    data: data
  })
}

export function assign(data) {
  return request({
    url: '/wuYe/repair/assign',
    method: 'post',
    data: data
  })
}



// 修改物业报修
export function updateRepair(data) {
  return request({
    url: '/wuYe/repair/put',
    method: 'post',
    data: data
  })
}

// 删除物业报修
export function delRepair(repairId) {
  return request({
    url: '/wuYe/repair/delete/' + repairId,
    method: 'get'
  })
}
